Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.viewController
Class InterfaceViewControllerExecutor

    java.lang.Object
      org.apache.myfaces.orchestra.viewController.AbstractViewControllerExecutor
          org.apache.myfaces.orchestra.viewController.InterfaceViewControllerExecutor

All Implemented Interfaces:
  ViewControllerExecutor

    public class InterfaceViewControllerExecutor

extends AbstractViewControllerExecutor

Invokes ViewController events using the `ViewController` interface.

This requires that beans implement the ViewController interface in order to receive view lifecycle events.

Other implementations are possible that do not require a bean to implement a specific interface; see ReflectiveViewControllerExecutor for one example.

Note that each method here returns false if the target bean does not implement the ViewController interface; this allows this executor to be "chained" with others.

Constructor Summary
`InterfaceViewControllerExecutor()`

Method Summary
`boolean` | `invokeInitView(String beanName, Object bean)`
`boolean` | `invokePreProcess(String beanName, Object bean)`
`boolean` | `invokePreRenderView(String beanName, Object bean)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InterfaceViewControllerExecutor

    public InterfaceViewControllerExecutor()

Method Detail

### invokeInitView

    public boolean invokeInitView(String beanName,
                                  Object bean)

  Specified by:
    `invokeInitView` in interface `ViewControllerExecutor`
  Overrides:
    `invokeInitView` in class `AbstractViewControllerExecutor`

### invokePreRenderView

    public boolean invokePreRenderView(String beanName,
                                       Object bean)

  Specified by:
    `invokePreRenderView` in interface `ViewControllerExecutor`
  Overrides:
    `invokePreRenderView` in class `AbstractViewControllerExecutor`

### invokePreProcess

    public boolean invokePreProcess(String beanName,
                                    Object bean)

  Specified by:
    `invokePreProcess` in interface `ViewControllerExecutor`
  Overrides:
    `invokePreProcess` in class `AbstractViewControllerExecutor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation. All Rights Reserved.